1. 💸 Payments
Multigate
  • 🚀 Getting Started
  • 🔓 Authentication
    • Get Token
    • Refresh Token
    • Logout User
    • Reset Password
    • Get Current User Info
  • 👋 Onboarding
    • Create Subclient
    • Get All Subclients
    • Get Subclient
    • Update Subclient
    • Create Subclient Shareholder
    • Get Subclient Shareholders
    • Update Subclient Shareholder
    • Upload Subclient Documents
    • Get Subclient Documents
    • Delete Subclient
    • Submit Subclient
  • 🏦 Accounts
    • 📄 Statements
      • V2
        • Get statement by account entity Id
        • Download statement by account entity Id
      • Get Statement
      • Download statement
    • Create Virtual Account
    • Get Account
    • Get Accounts By
    • Get All Accounts
    • Simulate Inflow (UAT only)
  • 🔃 Conversions
    • Get Quote
    • Lock Rate
    • Get Trade
    • Get All Trades
  • 💸 Payments
    • 🏦 Banks
      • Get Bank Details
    • 👤 Beneficiaries
      • Create Beneficiary
      • Get All Beneficiaries
      • Get Beneficiary
      • Update Beneficiary
      • Validate Beneficiary Account (NGN only)
    • Create Single Transfer
      POST
    • Get Purpose Codes
      GET
    • Find Transfers
      GET
  • 🔔 Webhooks / Push Notifications
    • Add a New Client Configuration
    • Update Client Configuration Current Mode
    • Get Client Configuration
  • 📲 Remittance
    • Initiate Remittance
    • Get Remittance
  • 📥 Receivables
    • Create Receivable
    • Get Receivable
  1. 💸 Payments

Create Single Transfer

POST
/payment-service/api/v1/transfer/single-transfer
Instruct a single transfer of funds from a source account to a beneficiary.

Request

Body Params application/json

Example
{
    "onBehalfOf": null,
    "uniqueRequestId": "b9efe1bd-d8bf-433f-bdc7-db0a0ea506e2",
    "sourceBankBicOrCode": "ASPXNGLA",
    "sourceAccountNumber": "96478939",
    "sourceCurrencyIso3Code": "USD",
    "sourceCountryIso3Code": "USA",
    "amount": 639.15,
    "beneficiaryId": "1ceddcf7-592f-4c45-bdf2-2e4f325f655a",
    "reference": "Test Transaction 123"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-gateway-uat.mmacs.io/platform/payment-service/api/v1/transfer/single-transfer' \
--header 'Content-Type: application/json' \
--data '{
    "onBehalfOf": null,
    "uniqueRequestId": "b9efe1bd-d8bf-433f-bdc7-db0a0ea506e2",
    "sourceBankBicOrCode": "ASPXNGLA",
    "sourceAccountNumber": "96478939",
    "sourceCurrencyIso3Code": "USD",
    "sourceCountryIso3Code": "USA",
    "amount": 639.15,
    "beneficiaryId": "1ceddcf7-592f-4c45-bdf2-2e4f325f655a",
    "reference": "Test Transaction 123"
}'

Responses

🟢200OK
application/json
Single transfer processed successfully
Bodyapplication/json

Example
{
    "message": "Successful",
    "onBehalfOf": "ZnEzkE9tIQE_tOdPZ5i_Q",
    "uniqueRequestId": "ff6788fc-6aef-4c72-a825-3cf398d6e769",
    "sourceBankBicOrCode": "multigate",
    "sourceAccountNumber": "2316703173",
    "sourceCurrencyIso3Code": "NGN",
    "sourceCountryIso3Code": "NGA",
    "sourceAccountName": "Multigate Test Buyer",
    "sourceBankName": "multigate",
    "amount": "10.00",
    "charge": "0.50",
    "totalAmount": "10.50",
    "chargeType": null,
    "createdBy": "solutionsdelivery+2025@multigate.io",
    "depositTellerName": "Multigate Test",
    "bankName": "PROVIDUS BANK",
    "entityId": "PQuFsWm8OeqaL4HdQOCwE",
    "postCode": "100001",
    "swiftCode": "UMPLNGLA",
    "accountName": "MULTIGATE PAYMENT LIMITED",
    "addressLine1": "18A, Ruxton Street, Ikoyi",
    "addressLine2": "",
    "emailAddress": "lateef+2@multigate.io",
    "accountNumber": "5401224020",
    "bankBicOrCode": "101",
    "countryIso3Code": "NGA",
    "currencyIso3Code": "NGN",
    "intermediaryBank": {
        "bic": "",
        "countryIso3Code": ""
    },
    "bankCountryIso3Code": "NGA",
    "beneficiaryId": "PQuFsWm8OeqaL4HdQOCwE",
    "beneficiaryDetails": {
        "bankName": "PROVIDUS BANK",
        "entityId": "PQuFsWm8OeqaL4HdQOCwE",
        "postCode": "100001",
        "swiftCode": "UMPLNGLA",
        "accountName": "MULTIGATE PAYMENT LIMITED",
        "addressLine1": "18A, Ruxton Street, Ikoyi",
        "addressLine2": "",
        "emailAddress": "lateef+2@multigate.io",
        "accountNumber": "5401224020",
        "bankBicOrCode": "101",
        "countryIso3Code": "NGA",
        "currencyIso3Code": "NGN",
        "intermediaryBank": {
            "bic": "",
            "countryIso3Code": ""
        },
        "bankCountryIso3Code": "NGA"
    },
    "purposeCode": "",
    "purposeCodeDescription": "",
    "reference": "Liveness Check",
    "transactionId": "PMT-260108-102804164071",
    "batchId": null,
    "businessName": "Multigate Test Buyer",
    "transactionType": "DR",
    "status": "pending",
    "comment": null,
    "createdAt": "2026-01-08T09:28:04.771Z",
    "updateAt": "2026-01-08T09:28:04.771Z",
    "responseMessage": "",
    "responseCode": null
}
🟠400Bad Request
🟠404Record Not Found
Modified at 2026-01-08 09:42:45
Previous
Validate Beneficiary Account (NGN only)
Next
Get Purpose Codes
Built with